summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaromil <jaromil@dyne.org>2013-11-13 19:49:24 (GMT)
committer Jaromil <jaromil@dyne.org>2013-11-13 19:54:53 (GMT)
commitcf373ceae805b87112fd4fc388806b07fe413600 (patch)
tree065b636bec116bb226128bcb5d22f336b9dfa970
parent2bcefdb2a1633b5de63722cd6574285174a05020 (diff)
new network build: includes openssh, rsync and latest git
-rw-r--r--build/network/Sources7
-rw-r--r--build/network/Toolchain1
-rw-r--r--build/network/conf.zsh38
3 files changed, 46 insertions, 0 deletions
diff --git a/build/network/Sources b/build/network/Sources
new file mode 100644
index 0000000..e806c4e
--- /dev/null
+++ b/build/network/Sources
@@ -0,0 +1,7 @@
+# ZShaoling packages file
+
+openssl-static -0.9.9 .tar.gz
+android-openssh -6.1 .tar.gz
+rsync -3.1.0 .tar.gz http://rsync.samba.org
+git -1.8.4.3 .tar.gz http://git-scm.com
+
diff --git a/build/network/Toolchain b/build/network/Toolchain
new file mode 100644
index 0000000..7473a25
--- /dev/null
+++ b/build/network/Toolchain
@@ -0,0 +1 @@
+android
diff --git a/build/network/conf.zsh b/build/network/conf.zsh
new file mode 100644
index 0000000..51a0737
--- /dev/null
+++ b/build/network/conf.zsh
@@ -0,0 +1,38 @@
+# ZShaolin build script
+# (C) 2013 Denis Roio - GNU GPL v3
+# refer to zmake for license details
+
+# configure the logfile
+LOGS=build.log
+rm -f $LOGS; touch $LOGS
+
+prepare_sources
+
+# make openssl static libraries
+zndk-build openssl-static
+rsync openssl-static/obj/local/armeabi/*.a $PREFIX/lib/
+rsync -r openssl-static/include/openssl $PREFIX/include
+
+# make openssh
+zndk-build android-openssh
+rsync android-openssh/libs/armeabi/* $PREFIX/bin
+rsync android-openssh/obj/local/armeabi/libssh.a $PREFIX/lib
+rsync android-openssh/jni/*.1 $PREFIX/share/man/man1/
+mv $PREFIX/bin/client-ssh $PREFIX/bin/ssh
+
+# make rsync
+compile rsync default
+zinstall rsync
+
+# make git
+notice "Building git"
+pushd git
+zconfigure default
+{ test $? = 0 } && {
+ make prefix=${APKPATH}/files/system
+ make man prefix=${APKPATH}/files/system
+ { test $? = 0 } && { touch ../git.done }
+}
+make install prefix=${APKPATH}/files/system NO_INSTALL_HARDLINKS=1
+make install-man prefix=${APKPATH}/files/system NO_INSTALL_HARDLINKS=1
+popd